##
##  txr.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         txr
Summary:      Text Pattern Matching
URL:          http://www.nongnu.org/txr/
Vendor:       Kaz Kylheku
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Searching
License:      BSD
Version:      298
Release:      20241222

#   list of sources
Source0:      http://www.kylheku.com/cgit/txr/snapshot/txr-%{version}.tar.bz2
Patch0:       txr.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, flex, bison
PreReq:       OpenPKG, openpkg >= 20160101

%description
    TXR is a fusion of different streams of thought. It is influenced by
    concepts from text processing languages such as awk or perl, pattern
    matching concepts from logic/AI programming, Lisp and functional
    languages.

%track
    prog txr = {
        version   = %{version}
        url       = http://www.kylheku.com/cgit/txr
        regex     = txr-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    %{l_bash} ./configure \
        --prefix=%{l_prefix} \
        --install_prefix=$RPM_BUILD_ROOT \
        --mandir=man \
        --diag-flags=""
    export TXR_INST_PATH=`pwd`/txr
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

